org.hibernate.validator.cfg.context

## Interface TypeConstraintMappingContext<C>

- Type Parameters:
    `C` - The type represented by this creational context.
  All Superinterfaces:
    AnnotationProcessingOptions<TypeConstraintMappingContext<C>>, Constrainable<TypeConstraintMappingContext<C>>, ConstructorTarget, MethodTarget, PropertyTarget, TypeTarget
  All Known Implementing Classes:
    TypeConstraintMappingContextImpl

      public interface TypeConstraintMappingContext<C>
      extends Constrainable<TypeConstraintMappingContext<C>>, TypeTarget, PropertyTarget, MethodTarget, ConstructorTarget, AnnotationProcessingOptions<TypeConstraintMappingContext<C>>

  Constraint mapping creational context representing a type. Allows place class-level constraints on that type, define its default group sequence (and provider) and to navigate to other constraint targets.
  Author:
    Kevin Pollet (C) 2011 SERLI, Gunnar Morling

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TypeConstraintMappingContext<C>` | `defaultGroupSequence(Class<?>... defaultGroupSequence)` Defines the default group sequence for current type.
    `TypeConstraintMappingContext<C>` | `defaultGroupSequenceProviderClass(Class<? extends DefaultGroupSequenceProvider<? super C>> defaultGroupSequenceProviderClass)` Defines the default group sequence provider for the current type.
    `TypeConstraintMappingContext<C>` | `ignoreAllAnnotations()` Defines that all annotations for this type should be ignored.

    - ### Methods inherited from interface org.hibernate.validator.cfg.context.Constrainable

      `constraint`

    - ### Methods inherited from interface org.hibernate.validator.cfg.context.TypeTarget

      `type`

    - ### Methods inherited from interface org.hibernate.validator.cfg.context.PropertyTarget

      `property`

    - ### Methods inherited from interface org.hibernate.validator.cfg.context.MethodTarget

      `method`

    - ### Methods inherited from interface org.hibernate.validator.cfg.context.ConstructorTarget

      `constructor`

    - ### Methods inherited from interface org.hibernate.validator.cfg.context.AnnotationProcessingOptions

      `ignoreAnnotations`

- - ### Method Detail

    - #### ignoreAllAnnotations

          TypeConstraintMappingContext<C> ignoreAllAnnotations()

      Defines that all annotations for this type should be ignored.
      Returns:
        The current creational context following the method chaining pattern.

    - #### defaultGroupSequence

          TypeConstraintMappingContext<C> defaultGroupSequence(Class<?>... defaultGroupSequence)

      Defines the default group sequence for current type.
      Parameters:
        `defaultGroupSequence` - the default group sequence.
      Returns:
        The current creational context following the method chaining pattern.

    - #### defaultGroupSequenceProviderClass

          TypeConstraintMappingContext<C> defaultGroupSequenceProviderClass(Class<? extends DefaultGroupSequenceProvider<? super C>> defaultGroupSequenceProviderClass)

      Defines the default group sequence provider for the current type.
      Parameters:
        `defaultGroupSequenceProviderClass` - The default group sequence provider class.
      Returns:
        The current creational context following the method chaining pattern.

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved